/*
 * Web Designer
 * Copyright (C) 1999-2000  LADISLAS Willhem
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * Author's email : zillprog@freesurf.fr
 * 
 * snailmail : 
 * LADISLAS Willhem
 * 2, rue du Serpolet
 * 95490 VAUREAL
 * FRANCE
 */

/*
 * This file was put together from the other sources
 * by Gergely Nagy <algernon@madhouse.lonyay.edu.hu>
 */

/*
 * TAG constants
 */
#define TAG_FONT 0
#define TAG_B 1
#define TAG_I 2
#define TAG_U 3
#define TAG_P_LEFT 4
#define TAG_P_CENTER 5
#define TAG_P_RIGHT 6
#define TAG_P_JUSTIFY 7
#define TAG_PRE 8
#define TAG_BLOCKQUOTE 9
#define TAG_BR 10
#define TAG_P 11
#define TAG_COMMENT 12
#define TAG_BIG 13
#define TAG_SMALL 14
#define TAG_BLINK 15
#define TAG_CITE 16
#define TAG_HTML 17
#define TAG_HEAD 18
#define TAG_BODY 19
#define TAG_TITLE 20
#define TAG_BANNER 21
#define TAG_EM 22
#define TAG_STRIKE 23
#define TAG_SUP 24
#define TAG_SUB 25
#define TAG_TT 26
#define TAG_KBD 27
#define TAG_LISTING 28
#define TAG_CODE 29
#define TAG_INPUT_PASSWORD 30
#define TAG_INPUT_TEXT 31
#define TAG_INPUT_RESET 32
#define TAG_INPUT_SUBMIT 33
#define TAG_HR 34
#define TAG_INPUT_CHECKBOX 35
#define TAG_INPUT_RADIO 36
#define TAG_CENTER 37
#define TAG_OL 38
#define TAG_UL 39
#define TAG_LI 40
#define TAG_DD 41
#define TAG_DT 42
#define TAG_DL 43
#define TAG_TEXTAREA 44
#define TAG_FORM 45
#define TAG_INPUT_HIDDEN 46
#define TAG_A_HREF 47
#define TAG_BUTTON 48
#define TAG_H1 49
#define TAG_H2 50
#define TAG_H3 51
#define TAG_H4 52
#define TAG_H5 53
#define TAG_H6 54
#define TAG_IMG 55
#define TAG_A_NAME 56
#define TAG_A_LOCAL 57
#define TAG_A_TOP 58
#define TAG_DIR 59
#define TAG_MENU 60
#define TAG_TABLE 61
#define TAG_TH 62
#define TAG_TR 63
#define TAG_TD 64
#define TAG_CAPTION 65
#define TAG_FIELDSET 66
#define TAG_APPLET 67
#define TAG_SCRIPT 68
#define TAG_PARAM 69
#define TAG_FONT_PLUS 70
#define TAG_FONT_MINUS 71
#define TAG_BASEFONT 72
#define TAG_STYLE 73
#define TAG_BASE_HREF 74
#define TAG_DIV 75
#define TAG_SPAN 76
#define TAG_FRAMESET 77
#define TAG_FRAME 78
#define TAG_NOFRAMES 79
#define TAG_IFRAME 80

#define TAG_ASP_COMMENT 500
#define TAG_ASP_OPEN 501
#define TAG_ASP_INCLUDE 502
#define TAG_ASP_IF 503
#define TAG_ASP_ENDIF 504

#define TAG_SSI_INCLUDE 505
#define TAG_SSI_CGI 506
#define TAG_SSI_LABEL 507
#define TAG_SSI_GOTO 508
#define TAG_SSI_BREAK 509

/*
 * Color constants (used eg in advanced.c)
 */
#define COLOR_RED 1
#define COLOR_MARRON 4

/*
 * Constants for compact.c
 */
#define COMPACT_NEWLINES 0
#define COMPACT_REPLACE_CHARS 1

/*
 * Constants for edition.c
 */
#define CHANGE_TO_LOWER 0
#define CHANGE_TO_UPPER 1

#define CLIPBOARD_CUT 0
#define CLIPBOARD_COPY 1
#define CLIPBOARD_PASTE 2
#define CLIPBOARD_SELECT_ALL 3
#define CLIPBOARD_CLEAR 4
#define CLIPBOARD_PASTE_AS_NEW 5

/*
 * Constants for navigation.c
 */
#define DOC_GOTO_FIRST 3
#define DOC_GOTO_PREV 0
#define DOC_GOTO_NEXT 1
#define DOC_GOTO_LAST 2
#define DOC_MOVE_HEAD 0
#define DOC_MOVE_BODY 1
#define DOC_MOVE_BOTTOM 2
#define DOC_MOVE_TOP 3

/*
 * Constants for project.c
 */
#define PROJECT_SAVE 0
#define PROJECT_SAVE_AS 1
